summaryrefslogtreecommitdiff
path: root/docker
diff options
context:
space:
mode:
authorMS <ms@taler.net>2022-12-17 22:21:13 +0100
committerMS <ms@taler.net>2022-12-17 22:21:13 +0100
commit04b3b878d9b7212ed664ed0cf1b1641c7a9e826e (patch)
tree5ec6449b3dbe15cb48fe57938cf80a62d28f3b28 /docker
parent77e314d82f6d1a800ec2c6a229b7dc48fe0ebe59 (diff)
downloaddeployment-04b3b878d9b7212ed664ed0cf1b1641c7a9e826e.tar.gz
deployment-04b3b878d9b7212ed664ed0cf1b1641c7a9e826e.tar.bz2
deployment-04b3b878d9b7212ed664ed0cf1b1641c7a9e826e.zip
make debug shell optional
Diffstat (limited to 'docker')
-rw-r--r--docker/sandcastle/compile-and-check/README11
-rwxr-xr-xdocker/sandcastle/compile-and-check/base/compile_and_check.sh9
2 files changed, 10 insertions, 10 deletions
diff --git a/docker/sandcastle/compile-and-check/README b/docker/sandcastle/compile-and-check/README
index 47342ab..68b71a2 100644
--- a/docker/sandcastle/compile-and-check/README
+++ b/docker/sandcastle/compile-and-check/README
@@ -1,7 +1,6 @@
-This Docker image compiles and check all the Taler code,
-along its entrypoint. Upon failures, it offers a debug
-shell to inspect the running container. The shell offer
-is however timed out, failing thereafter.
+This Docker image compiles and checks all the Taler code
+along its entrypoint. In case of build failures, it optionally
+offers a debug shell to inspect the running container.
Build
-----
@@ -15,6 +14,6 @@ $ docker build -t sandcastle-checker base/
Run
---
-From anywhere in the filesystem, run:
+To build Taler and get the debug shell, run:
-$ docker run -it sandcastle-checker
+$ docker run -e SANDCASTLE_DEBUG_SHELL=yes -it sandcastle-checker
diff --git a/docker/sandcastle/compile-and-check/base/compile_and_check.sh b/docker/sandcastle/compile-and-check/base/compile_and_check.sh
index b2462fc..f12f1e9 100755
--- a/docker/sandcastle/compile-and-check/base/compile_and_check.sh
+++ b/docker/sandcastle/compile-and-check/base/compile_and_check.sh
@@ -3,12 +3,13 @@
set -eu
start_debug_shell () {
- bash --init-file <(echo \
- "echo 'Press enter for the debug shell..'; read -t 300 || exit $?"
- ) -i
+ if test "${SANDCASTLE_DEBUG_SHELL:-no}" = yes; then
+ bash --init-file <(echo \
+ "echo 'Taler build failed, press enter to get the debug shell..'; read || exit $?"
+ ) -i
+ fi
}
trap start_debug_shell ERR
-
echo -n Exporting the tags environment..
set -a
. tags.sh